"""v0.1.0_feature_69

Revision ID: ff1cb5a4411c
Revises: bb5d903f97f2
Create Date: 2021-05-07 14:59:37.921527

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = 'ff1cb5a4411c'
down_revision = 'bb5d903f97f2'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('transfer_approval_history',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('application_id', sa.BigInteger(), nullable=True),
    sa.Column('result', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_transfer_approval_history_application_id'), 'transfer_approval_history', ['application_id'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_transfer_approval_history_token_address'), 'transfer_approval_history', ['token_address'], unique=False, schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_transfer_approval_history_token_address'), table_name='transfer_approval_history', schema=get_db_schema())
    op.drop_index(op.f('ix_transfer_approval_history_application_id'), table_name='transfer_approval_history', schema=get_db_schema())
    op.drop_table('transfer_approval_history', schema=get_db_schema())
    # ### end Alembic commands ###
